//
//  Bookmark.m
//  YKBookmarks
//
//  Created by KOYAMA Yoshiaki on Thu Feb 10 2005.
//  Copyright (c) 2005 KOYAMA Yoshiaki. All rights reserved.
//

#import "Bookmark.h"


@implementation Bookmark

- (id) init {

    if (self = [super init])
    {
        NSArray * keys      = [NSArray arrayWithObjects: @"title", @"url", @"date", @"comment", nil];
        NSArray * values    = [NSArray arrayWithObjects: @"Apple", @"http://www.apple.com/", [NSDate date], [NSString string], nil];
        properties = [[NSMutableDictionary alloc] initWithObjects: values forKeys: keys];
    }
    return self;
}

- (void) dealloc
{
    [properties release];
    
    [super dealloc];
}


- (NSMutableDictionary *) properties
{
    return properties;
}

- (void) setProperties: (NSDictionary *)newProperties
{
    if (properties != newProperties)
    {
        [properties autorelease];
        properties = [[NSMutableDictionary alloc] initWithDictionary: newProperties];
    }
}


- (void)encodeWithCoder:(NSCoder *)encoder {

	[encoder encodeObject:properties forKey:@"properties"];

}

- (id)initWithCoder:(NSCoder *)decoder {

	properties = [[decoder decodeObjectForKey:@"properties"] retain];

	return self;
}


@end
