//
//  InputController.m
//  YKBookmarks
//
//  Created by KOYAMA Yoshiaki on Thu Feb 10 2005.
//  Copyright (c) 2005 KOYAMA Yoshiaki. All rights reserved.
//

#import "InputController.h"
#import "Bookmark.h"


@implementation InputController

// ͏
- (IBAction)input:(id)sender {
	[_title setStringValue:@""];
	[_url setStringValue:@""];
	[_comment setStringValue:@""];
	
	[NSApp beginSheet:_panel 
	modalForWindow:_window 
	modalDelegate:self
	didEndSelector:@selector(sheetDidEnd:returnCode:contextInfo:)
	contextInfo:nil];
}

- (void)sheetDidEnd:(NSWindow *)sheet 
            returnCode:(int)returnCode
            contextInfo:(void *)contextInfo {

    if (returnCode == 1);
}

// ǉ{^
- (IBAction)add:(id)sender {
	Bookmark *bookmark;
	NSString *title;
	NSString *url;
	NSString *comment;

    [_panel orderOut:sender];
    [NSApp endSheet:_panel returnCode:1];


	bookmark = [[Bookmark alloc] init];

	title = [_title stringValue];
	url = [_url stringValue];
	comment = [_comment stringValue];

	if ([title isEqualToString:@""] != YES) {
		[bookmark setValue:title forKeyPath:@"properties.title"];
	}
	if ([url isEqualToString:@""] != YES) {
		[bookmark setValue:url forKeyPath:@"properties.url"];
	}
	if ([comment isEqualToString:@""] != YES) {
		[bookmark setValue:comment forKeyPath:@"properties.comment"];
	}
		
	[_arrayBookmarksController addObject:bookmark];
}

// LZ{^
- (IBAction)cancel:(id)sender {
    [_panel orderOut:sender];
    [NSApp endSheet:_panel returnCode:2];
}

// AbvXNvg̖߂lԂ
- (NSString *)getInfo:(NSString *)scriptfile {
    NSString *path;
    NSURL *url;
    NSAppleScript *script;
    NSDictionary *errorInfo = nil;
	NSAppleEventDescriptor *aed;
	
    path = [[[NSBundle mainBundle] resourcePath] stringByAppendingPathComponent:scriptfile];
    url = [NSURL fileURLWithPath:path];
    script = [[NSAppleScript alloc] initWithContentsOfURL:url error:&errorInfo];

    aed = [script executeAndReturnError:&errorInfo];
	[script release];

	return [aed stringValue];
}

// SafariAURLATitleo
- (IBAction)getInfoSafari:(id)sender {

	[_title setStringValue:[self getInfo:@"safari_name.applescript"]];
	[_url setStringValue:[self getInfo:@"safari_url.applescript"]];
}


@end
